diff -Nru dbconfig-common-1.8.37/debian/changelog dbconfig-common-1.8.37/debian/changelog
--- dbconfig-common-1.8.37/debian/changelog	2008-03-06 23:14:00.000000000 +0000
+++ dbconfig-common-1.8.37/debian/changelog	2008-04-05 00:54:14.000000000 +0100
@@ -1,3 +1,10 @@
+dbconfig-common (1.8.37-0.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Set umask before dump creation (closes: #473131)
+
+ -- Stephen Gran <sgran@debian.org>  Sat, 05 Apr 2008 00:53:49 +0100
+
 dbconfig-common (1.8.37) unstable; urgency=low
 
   * Fix from Niko Tyni for dpkg-reconfigure failures due to missing database
diff -Nru /tmp/YW8XFhTsEy/dbconfig-common-1.8.37/internal/mysql /tmp/TYDsodzu2S/dbconfig-common-1.8.37/internal/mysql
--- dbconfig-common-1.8.37/internal/mysql	2007-06-18 21:28:59.000000000 +0100
+++ dbconfig-common-1.8.37/internal/mysql	2008-04-05 01:01:29.000000000 +0100
@@ -323,8 +323,11 @@
 	_dbc_mysql_check_connect || return 1
 	dumpfile=$1
 	dumperr=0
+        old_mask=`umask`
+        umask 0066
 	mycnf=`_dbc_generate_mycnf`
 	dbc_error=`mysqldump --defaults-file="$mycnf" $dbc_dbname 2>&1 >$dumpfile` || dumperr=1
+        umask $old_mask
 	rm -f $mycnf
 	return $dumperr
 }
diff -Nru /tmp/YW8XFhTsEy/dbconfig-common-1.8.37/internal/pgsql /tmp/TYDsodzu2S/dbconfig-common-1.8.37/internal/pgsql
--- dbconfig-common-1.8.37/internal/pgsql	2007-06-18 21:29:32.000000000 +0100
+++ dbconfig-common-1.8.37/internal/pgsql	2008-04-05 01:01:36.000000000 +0100
@@ -178,9 +178,12 @@
 	retval=0
 	_dbc_psql_cmd_setup
 	if [ "$dbc_ssl" ]; then PGSSLMODE="require"; fi
+        old_umask=`umask`
+        umask 0066
 	extra=`_dbc_psql_cmd_args`
 	_dbc_debug "su -s /bin/sh $localuser -c \"env HOME='$_dbc_pgsql_tmpdir' PGPASSFILE='$_dbc_pgsql_tmpdir/.pgpass' PGSSLMODE='$PGSSLMODE' pg_dump $extra $dbc_dbname\" 2>&1"
 	dbc_error=`su -s /bin/sh $localuser -c "env HOME='$_dbc_pgsql_tmpdir' PGPASSFILE='$_dbc_pgsql_tmpdir/.pgpass' PGSSLMODE='$PGSSLMODE' pg_dump $extra $dbc_dbname" 2>&1` || retval=$?
+        umask $old_mask
 	_dbc_psql_cmd_cleanup
 	return $retval
 }
diff -Nru /tmp/YW8XFhTsEy/dbconfig-common-1.8.37/internal/sqlite /tmp/TYDsodzu2S/dbconfig-common-1.8.37/internal/sqlite
--- dbconfig-common-1.8.37/internal/sqlite	2007-06-18 21:31:02.000000000 +0100
+++ dbconfig-common-1.8.37/internal/sqlite	2008-04-05 01:01:47.000000000 +0100
@@ -184,7 +184,10 @@
 dbc_sqlite_dump(){
 	local dumpfile
 	dumpfile=$1
+        old_umask=`umask`
+        umask 0066
 	_dbc_sanity_check dbname $dbc_dbtype || return 1
 	dbc_sqlite_exec_command ".dump" > "$dumpfile"
+        umask $old_mask
 	return $?
 }
